libpcre2: upgraded package to upstream

Upgraded dev-libs/libpcre2 to version 10.34 on arm

BUG=chromium:1056153
TEST=./build_packages --board=${BOARD}

Change-Id: Ibb964ae03488fa28042a875fa8284513de65fd20
Reviewed-on: https://chromium-review.googlesource.com/c/chromiumos/overlays/portage-stable/+/2075182
Reviewed-by: Benjamin Gordon <bmgordon@chromium.org>
Commit-Queue: Allen Webb <allenwebb@google.com>
Tested-by: Allen Webb <allenwebb@google.com>
diff --git a/dev-libs/libpcre2/Manifest b/dev-libs/libpcre2/Manifest
index a4f45c5..a8947fe 100644
--- a/dev-libs/libpcre2/Manifest
+++ b/dev-libs/libpcre2/Manifest
@@ -1 +1,2 @@
-DIST pcre2-10.30.tar.bz2 1583543 BLAKE2B bd9369f3c81bf0d154aaf3d111b934835af25068051f9bcafc0d4b00376011ff7a4acfac127ee10efe6094021163a07a073076d9d769eff68823fd8d1041cd1f SHA512 f247a9f917c75920793b9919a45bb1426d126246e7a5d04e39d9407e44b5781f894a90cd3d232b385436b2f22be391335ab782664dd3a28c79058a2fcc74dc3e
+DIST libpcre2-10.34-patchset-01.tar.xz 1208 BLAKE2B 615b7eff085bd52bb3aed30c90ec5b8cec406f96c58bdfb0304dd59311517662067e68f85bc9930ed6f749820ecfe3c483e261616187bc1077ebb053670d4950 SHA512 d881665701bc330f237d19ee48491a81dc8b952b0b8e529eb83c3ffdf14710f68eb934f872ed76ef6b0bee1864261453e7e71e60e14217c004e4e12c6baa499f
+DIST pcre2-10.34.tar.bz2 1714731 BLAKE2B f731339b3acdb084ddb1462cf4638edefbfc4a95e63e44c8c75ded55fd9b98334336dbda5f31bd8e9410e63ccd83dc7e707cc20f03df4d801f182ff4939b6cc6 SHA512 77ad75f8b0b8bbfc2f57932596151bca25b06bd621e0f047e476f38cd127f43e2052460b95c281a7e874aad2b7fd86c8f3413f4a323abb74b9440a42d0ee9524
diff --git a/dev-libs/libpcre2/libpcre2-10.30.ebuild b/dev-libs/libpcre2/libpcre2-10.34.ebuild
similarity index 68%
rename from dev-libs/libpcre2/libpcre2-10.30.ebuild
rename to dev-libs/libpcre2/libpcre2-10.34.ebuild
index 36b28eb..51411e1 100644
--- a/dev-libs/libpcre2/libpcre2-10.30.ebuild
+++ b/dev-libs/libpcre2/libpcre2-10.34.ebuild
@@ -1,19 +1,26 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit flag-o-matic libtool ltprune multilib-minimal toolchain-funcs
+inherit flag-o-matic libtool multilib-minimal toolchain-funcs usr-ldscript
+
+PATCH_SET="${P}-patchset-01.tar.xz"
 
 DESCRIPTION="Perl-compatible regular expression library"
-HOMEPAGE="http://www.pcre.org/"
+HOMEPAGE="https://www.pcre.org/"
 MY_P="pcre2-${PV/_rc/-RC}"
 if [[ ${PV} != *_rc* ]] ; then
 	# Only the final releases are available here.
 	SRC_URI="mirror://sourceforge/pcre/${MY_P}.tar.bz2
-		ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/${MY_P}.tar.bz2"
+		https://ftp.pcre.org/pub/pcre/${MY_P}.tar.bz2"
 else
-	SRC_URI="ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/Testing/${MY_P}.tar.bz2"
+	SRC_URI="https://ftp.pcre.org/pub/pcre/Testing/${MY_P}.tar.bz2"
+fi
+
+if [[ -n "${PATCH_SET}" ]] ; then
+	SRC_URI+=" https://dev.gentoo.org/~whissi/dist/${PN}/${PATCH_SET}
+		https://dev.gentoo.org/~polynomial-c/dist/${PATCH_SET}"
 fi
 
 LICENSE="BSD"
@@ -22,13 +29,17 @@
 IUSE="bzip2 +jit libedit pcre16 pcre32 +readline +recursion-limit static-libs unicode zlib"
 REQUIRED_USE="?? ( libedit readline )"
 
-RDEPEND="bzip2? ( app-arch/bzip2 )
-	zlib? ( sys-libs/zlib )
-	libedit? ( dev-libs/libedit )
-	readline? ( sys-libs/readline:0= )"
-DEPEND="${RDEPEND}
+BDEPEND="
 	virtual/pkgconfig
-	userland_GNU? ( >=sys-apps/findutils-4.4.0 )"
+	userland_GNU? ( >=sys-apps/findutils-4.4.0 )
+"
+RDEPEND="
+	bzip2? ( app-arch/bzip2 )
+	libedit? ( dev-libs/libedit )
+	readline? ( sys-libs/readline:0= )
+	zlib? ( sys-libs/zlib )
+"
+DEPEND="${RDEPEND}"
 
 S="${WORKDIR}/${MY_P}"
 
@@ -37,6 +48,8 @@
 )
 
 src_prepare() {
+	[[ -d "${WORKDIR}/patches" ]] && eapply "${WORKDIR}"/patches
+
 	default
 
 	elibtoolize
@@ -46,7 +59,6 @@
 	local myeconfargs=(
 		--enable-pcre2-8
 		--enable-shared
-		--htmldir="${EPREFIX}"/usr/share/doc/${PF}/html
 		--with-match-limit-depth=$(usex recursion-limit 8192 MATCH_LIMIT)
 		$(multilib_native_use_enable bzip2 pcre2grep-libbz2)
 		$(multilib_native_use_enable libedit pcre2test-libedit)
@@ -75,5 +87,5 @@
 }
 
 multilib_src_install_all() {
-	prune_libtool_files
+	find "${ED}" -type f -name "*.la" -delete || die
 }
diff --git a/dev-libs/libpcre2/metadata.xml b/dev-libs/libpcre2/metadata.xml
index bc237ef..1e52579 100644
--- a/dev-libs/libpcre2/metadata.xml
+++ b/dev-libs/libpcre2/metadata.xml
@@ -1,32 +1,32 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<maintainer type="person">
-	<email>polynomial-c@gentoo.org</email>
-	<name>Lars Wendler</name>
-</maintainer>
-<use>
-	<flag name="bzip2">
-		Add support for pcregrep command to search within
-		bzip2-compressed files (via <pkg>app-arch/bzip2</pkg>).
-	</flag>
-	<flag name="pcre16">Build PCRE library for 16 bit characters (e.g. UTF-16).</flag>
-	<flag name="pcre32">Build PCRE library for 32 bit characters (e.g. UTF-32).</flag>
-	<flag name="readline">
-		Add support for command line editing to pcretest, through
-		<pkg>sys-libs/readline</pkg>.
-	</flag>
-	<flag name="recursion-limit">
-		Limit match recursion to 8192; if disabled, the default limit is
-		used, which is the same as the match limit.
-	</flag>
-	<flag name="zlib">
-		Add support for pcregrep command to search within
-		gzip-compressed files (via <pkg>sys-libs/zlib</pkg>).
-	</flag>
-</use>
-<upstream>
-	<remote-id type="cpe">cpe:/a:pcre:pcre</remote-id>
-	<remote-id type="sourceforge">pcre</remote-id>
-</upstream>
+	<maintainer type="project">
+		<email>base-system@gentoo.org</email>
+		<name>Gentoo Base System</name>
+	</maintainer>
+	<use>
+		<flag name="bzip2">
+			Add support for pcregrep command to search within
+			bzip2-compressed files (via <pkg>app-arch/bzip2</pkg>).
+		</flag>
+		<flag name="pcre16">Build PCRE library for 16 bit characters (e.g. UTF-16).</flag>
+		<flag name="pcre32">Build PCRE library for 32 bit characters (e.g. UTF-32).</flag>
+		<flag name="readline">
+			Add support for command line editing to pcretest, through
+			<pkg>sys-libs/readline</pkg>.
+		</flag>
+		<flag name="recursion-limit">
+			Limit match recursion to 8192; if disabled, the default limit is
+			used, which is the same as the match limit.
+		</flag>
+		<flag name="zlib">
+			Add support for pcregrep command to search within
+			gzip-compressed files (via <pkg>sys-libs/zlib</pkg>).
+		</flag>
+	</use>
+	<upstream>
+		<remote-id type="cpe">cpe:/a:pcre:pcre</remote-id>
+		<remote-id type="sourceforge">pcre</remote-id>
+	</upstream>
 </pkgmetadata>
diff --git a/metadata/md5-cache/dev-libs/libpcre2-10.30 b/metadata/md5-cache/dev-libs/libpcre2-10.30
deleted file mode 100644
index 637be41..0000000
--- a/metadata/md5-cache/dev-libs/libpcre2-10.30
+++ /dev/null
@@ -1,14 +0,0 @@
-DEFINED_PHASES=compile configure install prepare test
-DEPEND=bzip2? ( app-arch/bzip2 ) zlib? ( sys-libs/zlib ) libedit? ( dev-libs/libedit ) readline? ( sys-libs/readline:0= ) virtual/pkgconfig userland_GNU? ( >=sys-apps/findutils-4.4.0 ) >=app-portage/elt-patches-20170815
-DESCRIPTION=Perl-compatible regular expression library
-EAPI=5
-HOMEPAGE=http://www.pcre.org/
-IUSE=bzip2 +jit libedit pcre16 pcre32 +readline +recursion-limit static-libs unicode zlib abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_ppc_32 abi_ppc_64 abi_s390_32 abi_s390_64 abi_arm_32 abi_arm_64
-KEYWORDS=*
-LICENSE=BSD
-RDEPEND=bzip2? ( app-arch/bzip2 ) zlib? ( sys-libs/zlib ) libedit? ( dev-libs/libedit ) readline? ( sys-libs/readline:0= )
-REQUIRED_USE=?? ( libedit readline )
-SLOT=0
-SRC_URI=mirror://sourceforge/pcre/pcre2-10.30.tar.bz2 ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre2-10.30.tar.bz2
-_eclasses_=eutils	06133990e861be0fe60c2b428fd025d9	flag-o-matic	5d5921a298e95441da2f85be419894c0	libtool	f143db5a74ccd9ca28c1234deffede96	ltprune	2770eed66a9b8ef944714cd0e968182e	multibuild	40fe59465edacd730c644ec2bc197809	multilib	b2f01ad412baf81650c23fcf0975fa33	multilib-build	1979aa0ff4d356d32507ca4650d9f37d	multilib-minimal	8bddda43703ba94d8341f4e247f97566	toolchain-funcs	209edad4a5c4812e7b2f8021650974f0
-_md5_=2257b2fd857a5cd32998456356036802
diff --git a/metadata/md5-cache/dev-libs/libpcre2-10.34 b/metadata/md5-cache/dev-libs/libpcre2-10.34
new file mode 100644
index 0000000..f899171
--- /dev/null
+++ b/metadata/md5-cache/dev-libs/libpcre2-10.34
@@ -0,0 +1,15 @@
+BDEPEND=virtual/pkgconfig userland_GNU? ( >=sys-apps/findutils-4.4.0 ) >=app-portage/elt-patches-20170815
+DEFINED_PHASES=compile configure install prepare test
+DEPEND=bzip2? ( app-arch/bzip2 ) libedit? ( dev-libs/libedit ) readline? ( sys-libs/readline:0= ) zlib? ( sys-libs/zlib )
+DESCRIPTION=Perl-compatible regular expression library
+EAPI=7
+HOMEPAGE=https://www.pcre.org/
+IUSE=bzip2 +jit libedit pcre16 pcre32 +readline +recursion-limit static-libs unicode zlib abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_ppc_32 abi_ppc_64 abi_s390_32 abi_s390_64 abi_arm_32 abi_arm_64 split-usr
+KEYWORDS=*
+LICENSE=BSD
+RDEPEND=bzip2? ( app-arch/bzip2 ) libedit? ( dev-libs/libedit ) readline? ( sys-libs/readline:0= ) zlib? ( sys-libs/zlib )
+REQUIRED_USE=?? ( libedit readline )
+SLOT=0
+SRC_URI=mirror://sourceforge/pcre/pcre2-10.34.tar.bz2 https://ftp.pcre.org/pub/pcre/pcre2-10.34.tar.bz2 https://dev.gentoo.org/~whissi/dist/libpcre2/libpcre2-10.34-patchset-01.tar.xz https://dev.gentoo.org/~polynomial-c/dist/libpcre2-10.34-patchset-01.tar.xz
+_eclasses_=eutils	06133990e861be0fe60c2b428fd025d9	flag-o-matic	5d5921a298e95441da2f85be419894c0	libtool	f143db5a74ccd9ca28c1234deffede96	multibuild	40fe59465edacd730c644ec2bc197809	multilib	b2f01ad412baf81650c23fcf0975fa33	multilib-build	1979aa0ff4d356d32507ca4650d9f37d	multilib-minimal	8bddda43703ba94d8341f4e247f97566	toolchain-funcs	209edad4a5c4812e7b2f8021650974f0	usr-ldscript	766f0a506b45f02361ad1b8ca205b7e1
+_md5_=eecac51a6b01cdc45a665d4023bcf2c8